using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Xamarin.Forms;
using Xamarin.Forms.Platform.Android;
using ListViewSample.Droid.CustomRenderers;
using Android.Graphics;

[assembly: ExportRenderer(typeof(Xamarin.Forms.Label), typeof(CustomLabelRenderer))]
namespace ListViewSample.Droid.CustomRenderers
{
    public class CustomLabelRenderer : LabelRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<Label> e)
        {
            base.OnElementChanged(e);

            var label = (TextView)Control;

            Typeface font = Typeface.CreateFromAsset(Context.Assets, "fonts/SourceSansPro-Regular.otf");

            switch (e.NewElement.FontAttributes)
            {
                case FontAttributes.None:
                    break;
                case FontAttributes.Bold:
                    font = Typeface.CreateFromAsset(Context.Assets, "fonts/SourceSansPro-Bold.otf");
                    break;
                case FontAttributes.Italic:
                    break;
                default:
                    break;
            }


            label.Typeface = font;
        }
    }
}