﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ListViewSample.BusinessObjects
{
    public class CustomerInfo
    {
        
        public CustomerInfo(string name, string town)
        {
            this.Name = name;

            this.Address = new Address();
            if (town.Contains("0"))
            {
                Address.Town = string.Empty;
            }
            else
            {
                Address.Town = town;
            }
        }

        private string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private Address address;

        public Address Address
        {
            get { return address; }
            set { address = value; }
        }

        public string Town
        {
            get { return Address.Town; }
        }

        private int _sortKey = 0;
        public int SortKey
        {
            get { return _sortKey; }
            set { _sortKey = value; }
        }


        private int calculatedValue = 5;

        public int CalculatedValue
        {
            get
            {
                if (calculatedValue == 5)
                    calculatedValue = 1;

                return calculatedValue;
            }
         
        }

    }

    public class StandardCustomer : CustomerInfo
    {


        private string officeName;

        public string OfficeName
        {
            get { return officeName; }
            set { officeName = value; }
        }

        private Address officeaddress;

        public StandardCustomer(string name, string town) : base(name, town)
        {
        }

        public Address OfficeAddress 
        {
            get { return officeaddress; }
            set { officeaddress = value; }
        }

    }
}
